#ifndef Beenden_H
#define Beenden_H

#include <Knopf.h>
#include <MausEreignis.h>
#include "..\Basic\Abschnitt.h"

class Beenden : public Abschnitt
{
private:
	Fenster *fenster;
	Fenster *f;
	int ref;

public:
	// Konstruktor
	Beenden( Schrift *s, Bildschirm *b );
	// Destruktor
	~Beenden();
	// nicht constant
	virtual void setFenster( Fenster *f );
	virtual void setSichtbar( bool s );
	bool beendenMausEreignis( void *obj, MausEreignis me );
	// constant

	// Reference Counting
	virtual Abschnitt *getThis();
	virtual Abschnitt *release();
};

// Ereignisse
bool beendenBeendenMausEreignis( void *p, void *obj, MausEreignis me );

#endif